/*
#pragma ident "@(#)ConnectionCapabilities.java	1.5      97/02/25     SMI"

 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package java.telephony.capabilities;

/** 
 * Initial Connection capabilities interface. Any package that wants to extend
 * Connection capabilities should extend this interface
 */

public interface ConnectionCapabilities {

  /**
   * Returns true if the application can perform a disconnect() on this
   * Connection, false otherwise.
   * <p>
   * @return True if the application can disconnect, false otherwise.
   */
  public boolean canDisconnect();
}


